using System;
using NinjaTrader.Cbi;

internal sealed class Delegate752 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<ExecutionEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<ExecutionEventArgs> eventHandler_0, Delegate752 delegate752_1)
	{
		delegate752_1(object_0, eventHandler_0);
	}

	public extern Delegate752(object object_0, IntPtr intptr_0);

	static Delegate752()
	{
		Class10.smethod_13(typeof(Delegate752).TypeHandle);
	}

	internal static Delegate752 delegate752_0;
}
